summaryrefslogtreecommitdiffstats
path: root/keyboards/amj40/keymaps/myee/build.sh
diff options
context:
space:
mode:
authorMatthew Yee <yee.matthew@gmail.com>2018-03-16 21:36:17 +0100
committerJack Humbert <jack.humb@gmail.com>2018-03-16 21:36:17 +0100
commit4dc3a01fcb4401c110e10e3e4015ced856dc7055 (patch)
tree494485e53f264c0cb28e784a207f956fa95615bf /keyboards/amj40/keymaps/myee/build.sh
parenta3047f1ab35e2e9543dae78cd3336f2cd13e596c (diff)
downloadqmk_firmware-4dc3a01fcb4401c110e10e3e4015ced856dc7055.tar.gz
qmk_firmware-4dc3a01fcb4401c110e10e3e4015ced856dc7055.tar.xz
Added my keymap (#2529)
* Added my keymap * maybe that wasn't quite right. * Reduced the tap time to register layer * changed the tapping term that fits my typing speed a little better * Added retro tapping and reduced tapping term duration
Diffstat (limited to 'keyboards/amj40/keymaps/myee/build.sh')
-rw-r--r--keyboards/amj40/keymaps/myee/build.sh42
1 files changed, 42 insertions, 0 deletions
diff --git a/keyboards/amj40/keymaps/myee/build.sh b/keyboards/amj40/keymaps/myee/build.sh
new file mode 100644
index 000000000..6b4b4568f
--- /dev/null
+++ b/keyboards/amj40/keymaps/myee/build.sh
@@ -0,0 +1,42 @@
+#!/bin/bash
+# adjust for cpu
+# -j 16 gave best result on a hyperthreaded quad core core i7
+
+LIMIT=10
+THREADS="-j 16"
+KMAP=iso_split_rshift
+
+echo "We need sudo later"
+sudo ls 2>&1 /dev/null
+
+function wait_bootloader {
+ echo "Waiting for Bootloader..."
+ local STARTTIME=$(date +"%s")
+ local REMIND=0
+ local EXEC=dfu-programmer
+ local TARGET=atmega32u4
+ while true
+ do
+ sudo $EXEC $TARGET get > /dev/null 2>&1
+ [ $? -eq 0 ] && break
+ ENDTIME=$(date +"%s")
+ DURATION=$(($ENDTIME-$STARTTIME))
+ if [ $REMIND -eq 0 -a $DURATION -gt $LIMIT ]
+ then
+ echo "Did you forget to press the reset button?"
+ REMIND=1
+ fi
+ sleep 1
+ done
+}
+make clean
+make KEYMAP=${KMAP} ${THREADS}
+if [[ $? -eq 0 ]]
+then
+ echo "please trigger flashing!"
+ wait_bootloader
+ sudo make KEYMAP=${KMAP} dfu ${THREADS}
+else
+ echo "make failed"
+ exit 77
+fi